<?php

namespace Drupal\pagedesigner_duplication\Service;

use Drupal\Core\Entity\ContentEntityBase;
use Drupal\pagedesigner\PagedesignerService;

class DuplicationService extends PagedesignerService
{
    /**
     * Duplicates the child elements of all fields from on entity to another entity.
     *
     * @param ContentEntityBase $source
     * @param ContentEntityBase $target
     * @return void
     */
    public function duplicate(ContentEntityBase $source, ContentEntityBase $target)
    {
        $sourceFields = $this->getPagedesignerFields($source);
        $targetFields = $this->getPagedesignerFields($target);
        foreach ($sourceFields as $field) {
            if (!empty($targetFields[$field->getName()])) {
                $sourceContainer = $this->getContainer($source, $field->getName());
                $targetContainer = $this->getContainer($target, $field->getName());

                foreach ($sourceContainer->children as $item) {
                    $clone = \Drupal::service('pagedesigner.service.statechanger')->copy($item->entity, $targetContainer)->getOutput();
                    $clone->parent->entity = $targetContainer;
                    $clone->langcode->value = $target->langcode->value;
                    $clone->save();
                    $targetContainer->children->appendItem($clone);
                }
                $targetContainer->save();
            }
        }
    }

}
