<?php
/**
 * @file
 * Contains DescriptionFormatter Class.
 */

namespace Drupal\pagedesigner_yoast\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'description_value' formatter.
 *
 * @FieldFormatter(
 *   id = "pagedesigner_yoast_metatag_description",
 *   label = @Translation("Description Value"),
 *   field_types = {
 *    "metatag",
 *   }
 * )
 */
class DescriptionFormatter extends FormatterBase
{

    /**
     * {@inheritdoc}
     */
    public function viewElements(FieldItemListInterface $items, $langcode)
    {
        $elements = array();
        foreach ($items as $delta => $item) {
            $value = $item->getValue();
            $elements[$delta] = array(
                '#markup' => unserialize($value['value'])['description'],
            );
        }
        return $elements;
    }

}
