<?php

namespace Drupal\pagedesigner_yoast\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'keyword_formatter' formatter.
 *
 * @FieldFormatter(
 *    id = "pagedesigner_yoast_keyword",
 *    label = @Translation("Keyword formatter"),
 *    field_types = {
 *      "yoast_seo",
 *    }
 * )
 */
class KeywordFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = array();
    foreach ($items as $delta => $item) {
      $elements[$delta] = array(
        '#markup' => $item->focus_keyword,
      );
    }

    return $elements;
  }

}
