<?php

namespace Drupal\pagedesigner_yoast\Plugin\Field\FieldWidget;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Form\FormStateInterface;
use Drupal\text\Plugin\Field\FieldWidget\TextareaWithSummaryWidget;

/**
 * Advanced widget for yoast_seo field.
 *
 * @FieldWidget(
 *   id = "pagedesigner_yoast_seo_body_widget",
 *   label = @Translation("Pagedesigner body field widget"),
 *   field_types = {
 *     "text_with_summary"
 *   }
 * )
 */
class PagedesignerYoastSeoBodyWidget extends TextareaWithSummaryWidget
{

    /**
     * {@inheritdoc}
     */
    public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state)
    {
        return parent::formElement($items, $delta, $element, $form, $form_state);
        //$node = \Drupal::entityTypeManager()->getStorage('node')->load(58);
        $node = \Drupal::routeMatch()->getParameter('node');

        $markup = '';

        if ($node != null) {

            $theme_initialization = \Drupal::service('theme.initialization');
            $current_theme = \Drupal::service('theme.manager')->getActiveTheme();
            \Drupal::service('theme.manager')->setActiveTheme($theme_initialization->getActiveThemeByName('iq_custom'));
            $pagedesignerService = \Drupal::service('pagedesigner.service.pagedesigner');
            $renderer = \Drupal::service('pagedesigner.service.renderer');

            $fields = $pagedesignerService->getPagedesignerFields($node);
            foreach ($fields as $field) {
                $container = $node->get($field->getName())->entity;
                if ($container != null) {
                    $renderer->renderForPublic($container, $node);
                    $markup .= $renderer->getMarkup();
                }
            }
            \Drupal::service('theme.manager')->setActiveTheme($current_theme);
        }

        // strip tags that will break editor
        $tags_to_strip = array("textarea");
        foreach ($tags_to_strip as $tag) {
            $markup = preg_replace("/<\\/?" . $tag . "(.|\\s)*?>/", '', $markup);
        }

        $items->setValue([
            'value' => $markup,
            'format' => 'pagedesigner',
        ]);

        return parent::formElement($items, $delta, $element, $form, $form_state);
    }
}
